Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiChatCompletionFunction

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiChatCompletionFunction

@Deprecated public class OpenAiChatCompletionFunction extends Object
Deprecated.
OpenAI function signature.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiChatCompletionFunction()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `int`
  `hashCode()`
  Deprecated.
  `OpenAiChatCompletionFunction`
  `setDescription(String description)`
  Deprecated.
  Description of the function.
  `OpenAiChatCompletionFunction`
  `setName(String name)`
  Deprecated.
  Name of the function to be called.
  `OpenAiChatCompletionFunction`
  `setParameters(Map<String,Object> parameters)`
  Deprecated.
  JSON Schema for the function input parameters.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiChatCompletionFunction

    public OpenAiChatCompletionFunction()
    Deprecated.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### setName

    public OpenAiChatCompletionFunction setName(@Nullable String name)
    Deprecated.
    Name of the function to be called. Must be a-z, A-Z, 0-9, or contain underscores and dashes, with a maximum length of 64.
    Returns:
      `this`.

  - ### setDescription

    public OpenAiChatCompletionFunction setDescription(@Nullable String description)
    Deprecated.
    Description of the function.
    Returns:
      `this`.

  - ### setParameters

    public OpenAiChatCompletionFunction setParameters(@Nullable Map<String,Object> parameters)
    Deprecated.
    JSON Schema for the function input parameters.

    Note: As mentioned by OpenAI, it follows JSON Schema 7 (2020-12). Not all JSON Schema parameters in the specification are supported by OpenAI.

    Returns:
      `this`.